package com.ruoyi.system.service.impl.fgw;

import java.util.List;

import com.ruoyi.system.domain.fgw.FgwFj;
import com.ruoyi.system.mapper.fgw.FgwFjMapper;
import com.ruoyi.system.service.fgw.IFgwFjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 发改委_附件Service业务层处理
 * 
 * @author boman
 * @date 2023-03-22
 */
@Service
public class FgwFjServiceImpl implements IFgwFjService
{
    @Autowired
    private FgwFjMapper fgwFjMapper;

    /**
     * 查询发改委_附件
     * 
     * @param id 发改委_附件主键
     * @return 发改委_附件
     */
    @Override
    public FgwFj selectFgwFjById(Long id)
    {
        return fgwFjMapper.selectFgwFjById(id);
    }

    /**
     * 查询发改委_附件列表
     * 
     * @param fgwFj 发改委_附件
     * @return 发改委_附件
     */
    @Override
    public List<FgwFj> selectFgwFjList(FgwFj fgwFj)
    {
        return fgwFjMapper.selectFgwFjList(fgwFj);
    }

    /**
     * 新增发改委_附件
     * 
     * @param fgwFj 发改委_附件
     * @return 结果
     */
    @Override
    public int insertFgwFj(FgwFj fgwFj)
    {
        return fgwFjMapper.insertFgwFj(fgwFj);
    }

    /**
     * 修改发改委_附件
     * 
     * @param fgwFj 发改委_附件
     * @return 结果
     */
    @Override
    public int updateFgwFj(FgwFj fgwFj)
    {
        return fgwFjMapper.updateFgwFj(fgwFj);
    }

    /**
     * 批量删除发改委_附件
     * 
     * @param ids 需要删除的发改委_附件主键
     * @return 结果
     */
    @Override
    public int deleteFgwFjByIds(Long[] ids)
    {
        return fgwFjMapper.deleteFgwFjByIds(ids);
    }

    /**
     * 删除发改委_附件信息
     * 
     * @param id 发改委_附件主键
     * @return 结果
     */
    @Override
    public int deleteFgwFjById(Long id)
    {
        return fgwFjMapper.deleteFgwFjById(id);
    }
}
